org.keycloak.provider

## Enum InvalidationHandler.ObjectType

- java.lang.Object
- - java.lang.Enum<InvalidationHandler.ObjectType>
  - - org.keycloak.provider.InvalidationHandler.ObjectType

- All Implemented Interfaces:
    Serializable, Comparable<InvalidationHandler.ObjectType>, InvalidationHandler.InvalidableObjectType
  Enclosing interface:
    InvalidationHandler

      public static enum InvalidationHandler.ObjectType
      extends Enum<InvalidationHandler.ObjectType>
      implements InvalidationHandler.InvalidableObjectType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_ALL_`
    `CLIENT`
    `CLIENT_SCOPE`
    `COMPONENT`
    `GROUP`
    `PROVIDER_FACTORY`
    `REALM`
    `ROLE`
    `USER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvalidationHandler.ObjectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InvalidationHandler.ObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _ALL_

          public static final InvalidationHandler.ObjectType _ALL_

    - #### REALM

          public static final InvalidationHandler.ObjectType REALM

    - #### CLIENT

          public static final InvalidationHandler.ObjectType CLIENT

    - #### CLIENT_SCOPE

          public static final InvalidationHandler.ObjectType CLIENT_SCOPE

    - #### USER

          public static final InvalidationHandler.ObjectType USER

    - #### ROLE

          public static final InvalidationHandler.ObjectType ROLE

    - #### GROUP

          public static final InvalidationHandler.ObjectType GROUP

    - #### COMPONENT

          public static final InvalidationHandler.ObjectType COMPONENT

    - #### PROVIDER_FACTORY

          public static final InvalidationHandler.ObjectType PROVIDER_FACTORY

  - ### Method Detail

    - #### values

          public static InvalidationHandler.ObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InvalidationHandler.ObjectType c : InvalidationHandler.ObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InvalidationHandler.ObjectType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.